Bug 1131726 - Data from RHQ_CONFIG_UPDATE never purged
Summary: Data from RHQ_CONFIG_UPDATE never purged
Keywords:
Status: ON_QA
Alias: None
Product: RHQ Project
Classification: Other
Component: Database
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ---
: RHQ 4.13
Assignee: Thomas Segismont
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-19 23:21 UTC by Elias Ross
Modified: 2014-11-20 09:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1131724 None None None Never
Red Hat Bugzilla 1147669 None None None Never

Internal Links: 1131724 1147669

Description Elias Ross 2014-08-19 23:21:36 UTC
See: Bug 1131724

It seems that data in here is never removed over time. I have data from 2012.

There needs to be a purge process in place. I'm assuming updates from 3-6 months old should go away, right?

Comment 1 Thomas Segismont 2014-09-29 15:44:56 UTC
(In reply to Elias Ross from comment #0)
> See: Bug 1131724
> 
> It seems that data in here is never removed over time. I have data from 2012.
> 
> There needs to be a purge process in place. I'm assuming updates from 3-6
> months old should go away, right?

We'll discuss this question on the devel list. In the past, for a similar issue (operations history purge), we left the task disabled by default and made the cut-off date configurable.

Comment 2 Thomas Segismont 2014-10-16 12:34:43 UTC
Pull request sent and waiting for review:
https://github.com/rhq-project/rhq/pull/132

Comment 3 Thomas Segismont 2014-11-20 09:36:23 UTC
Merged in master

commit 8efb4f275b98d85a8bee2f12110dd955a1ebf67c
Merge: 86968f0 1f08ab3
Author: Libor Zoubek <lzoubek@redhat.com>
Date:   Thu Nov 13 18:16:58 2014 +0100

    Merge branch 'purgepurgepurge' of https://github.com/tsegismont/rhq into tsegismont-purgepurgepurge
    
    Conflicts:
        modules/core/dbutils/src/main/scripts/dbupgrade/db-upgrade.xml
        modules/enterprise/gui/coregui/src/main/resources/org/rhq/coregui/client/Messages_de.properties
        modules/enterprise/gui/coregui/src/main/resources/org/rhq/coregui/client/Messages_ja.properties
        modules/enterprise/gui/coregui/src/main/resources/org/rhq/coregui/client/Messages_ru.properties


Note You need to log in before you can comment on or make changes to this bug.